/*
** Copyright (C) 2001,2002 Sacha Faust <sacha@severus.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
/*
 * URLCont.java
 *
 * Created on November 10, 2001, 8:30 PM
 */

package faust.sacha.web.data;

/**
 *
 * @author Sacha Faust
 * @version 1.0
 */
import org.apache.commons.httpclient.*;
import org.apache.commons.httpclient.methods.*;
import faust.sacha.web.util.*;
import java.io.*;

public class URLCont extends HttpConnection {

    /**
     */
    private HttpMethod m_method;
    protected URLInfo m_urlInfo;
    protected HttpState m_connectionState;
    
    public URLCont( URLInfo url ){
        super( url.getHost(), url.getPort(), url.isSecure() );
        m_urlInfo = url;
        m_connectionState = new HttpState();
        m_method = null;
    }
    
    public URLCont( URLInfo url, HttpMethod method ){
        this(url);
        m_method = method;
    }
//------------------------------------------------------------------------------
    public void setMethod( HttpMethod method ){
        /*
        if( m_method != null ){
            m_method.recycle();
        }
        
        m_method = method; 
         */
        m_method = null;
        m_method = method;
    }
//------------------------------------------------------------------------------    
    public String getResponseBodyAsString(){
        
        if(m_method == null ){
            System.err.println("URLCont::getBodyContentAsString() : request while m_method is null");
            return null;
        }
        
        return m_method.getResponseBodyAsString();
    }
//------------------------------------------------------------------------------
    public URLInfo getInfo(){
        return m_urlInfo;
    }
//------------------------------------------------------------------------------
    public String getPath(){
        return m_urlInfo.getPath();
    }
//------------------------------------------------------------------------------
    public String getURL(){
        return m_urlInfo.getURL();
    }
//------------------------------------------------------------------------------
    public String toString(){
        return m_urlInfo.getURL();
    }
//------------------------------------------------------------------------------
    public HttpState getState(){
        return m_connectionState;
    }
//------------------------------------------------------------------------------
    public void purgeCookies(){
        m_connectionState.purgeExpiredCookies();
    }
//------------------------------------------------------------------------------
    /*
    private static void main( String args[] ){

            URLInfo t = new URLInfo("http://test.com:80/testing/file.gsx");
            URLCont s = new URLCont(t);
            
            try{
                s.open();
            }
            catch( IOException ioeEx ){
                System.err.println(ioeEx);
            }
    }
     */
}
